Bug 190619 - [maintainer] [update] games/tome4 1.2.0
[maintainer] [update] games/tome4 1.2.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Some People
Assigned To: Antoine Brodin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-04 17:42 UTC by Nikolai Lifanov
Modified: 2014-06-11 19:34 UTC (History)
1 user (show)

See Also:


Attachments
games/tome4 1.1.5 -> 1.2.0 (27.12 KB, patch)
2014-06-04 17:42 UTC, Nikolai Lifanov
no flags Details | Diff
games/tome4 1.1.5 -> 1.2.0 v2 (27.12 KB, patch)
2014-06-05 22:56 UTC, Nikolai Lifanov
no flags Details | Diff
games/tome4 1.1.5 -> 1.2.1 (27.12 KB, patch)
2014-06-06 15:35 UTC, Nikolai Lifanov
lifanov: maintainer‑approval+
Details | Diff
games/tome4 1.1.5 -> 1.2.2 (27.12 KB, patch)
2014-06-10 20:27 UTC, Nikolai Lifanov
lifanov: maintainer‑approval+
Details | Diff
games/tome4 1.1.5 -> 1.2.2 (27.12 KB, patch)
2014-06-11 12:52 UTC, Nikolai Lifanov
no flags Details | Diff
games/tome4 1.1.5 -> 1.2.2 (27.18 KB, patch)
2014-06-11 13:27 UTC, Nikolai Lifanov
lifanov: maintainer‑approval+
Details | Diff
games/tome4 1.1.5 -> 1.2.2 (27.12 KB, patch)
2014-06-11 19:15 UTC, Nikolai Lifanov
lifanov: maintainer‑approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov 2014-06-04 17:42:30 UTC
Created attachment 143372 [details]
games/tome4 1.1.5 -> 1.2.0

Please update games/tome4 to 1.2.0.

This is a major release: updated graphics, balance changes, classes, etc.
Release announcement: http://te4.org/blogs/darkgod/2014/05/news/tales-majeyal-120-aka-exercise-vital-powers-released

The port update includes patches I submitted upstream that didn't make it to the release that silence compile-time warnings on FreeBSD and fix minor stability issues.

Port changes: respect LOCALBASE, fix one instance of not respecting CFLAGS

Important (needs UPDATING):
This version breaks backward compatibility with save games from 1.1.5 in order to make the save game format more stable in the future. Users that are interested in continuing to play with the current save should wait until updating. Unfortunately, there is no way to convert or import these to 1.2.0.

Build tested on: Redports
Play tested on: FreeBSD 10, CURRENT
Comment 1 Nikolai Lifanov 2014-06-05 22:56:28 UTC
Created attachment 143427 [details]
games/tome4 1.1.5 -> 1.2.0 v2

Please use this one instead.
I forgot to attach extra patches to the last diff.
Comment 2 Nikolai Lifanov 2014-06-06 15:35:22 UTC
Created attachment 143456 [details]
games/tome4 1.1.5 -> 1.2.1

The first patch was fine. I'm just getting used to the way Bugzilla displays these... However, please update games/tome4 to 1.2.1 instead!

This fixes a couple of memory leaks discovered shortly after 1.2.0 and improves save game times among other small changes. The save game time improvement only applies to games started in 1.2.1, but 1.2.1 is compatible with 1.2.0 save game format.

Release notes: http://te4.org/blogs/darkgod/2014/06/news/tales-majeyal-121-aka-relativity-released

Tested on: Redports
Comment 3 Nikolai Lifanov 2014-06-10 20:27:06 UTC
Created attachment 143652 [details]
games/tome4 1.1.5 -> 1.2.2

More fixes! Please update games/tome4 to 1.2.2

Changes: http://te4.org/blogs/darkgod/2014/06/news/tales-majeyal-122-aka-confidence-and-paranoia-released
Comment 4 Nikolai Lifanov 2014-06-11 12:52:18 UTC
Created attachment 143675 [details]
games/tome4 1.1.5 -> 1.2.2

Oops, I forgot to update pkg-plist in the previous patch.
Comment 5 Nikolai Lifanov 2014-06-11 13:27:13 UTC
Created attachment 143676 [details]
games/tome4 1.1.5 -> 1.2.2

Add USE_GL=glu.

It wasn't needed before 1.2.2 (?), but this makes Redports pass 8x once again.
Comment 6 Nikolai Lifanov 2014-06-11 19:15:01 UTC
Created attachment 143689 [details]
games/tome4 1.1.5 -> 1.2.2

antoine@ already applied USE_GL=glu
Reroll patch so that it applies cleanly
Comment 7 commit-hook freebsd_committer 2014-06-11 19:33:02 UTC
A commit references this bug:

Author: antoine
Date: Wed Jun 11 19:32:51 UTC 2014
New revision: 357528
URL: http://svnweb.freebsd.org/changeset/ports/357528

Log:
  Update to 1.2.2

  PR:		ports/190619
  Submitted by:	maintainer

Changes:
  head/games/tome4/Makefile
  head/games/tome4/distinfo
  head/games/tome4/files/patch-build__te4core.lua
  head/games/tome4/files/patch-premake4.lua
  head/games/tome4/files/patch-src__bspatch.c
  head/games/tome4/files/patch-src__core_lua.c
  head/games/tome4/files/patch-src__getself.c
  head/games/tome4/files/patch-src__lpeg__lptypes.h
  head/games/tome4/files/patch-src__luaprofiler__core_profiler.c
  head/games/tome4/files/patch-src__web.c
  head/games/tome4/files/pkg-message.in
  head/games/tome4/pkg-plist
Comment 8 Antoine Brodin freebsd_committer 2014-06-11 19:34:06 UTC
patch committed, thanks